@import "vars";
*{
    box-sizing: border-box;
    outline: none;
}
*:focus{
    outline: none;
}
img{
    border: none;
    &:focus{
        border: none;
    }
}
input[type=search],
input[type=text],
input[type=email]{
    appearance: none;
    -webkit-appearance: none;
    border-radius: 0;
}
section, footer{
    padding: 0;
}
button{
    outline: none !important;
    cursor: pointer;
}
body{
    color: $color1;
    font-size: 16px;
    padding: 0;
    margin: 0;
    font-family: 'Roboto';
    font-weight: $regular;
    line-height: 1;
    text-shadow: none;
    overflow-x: hidden;
    display: flex;
    flex-direction: column;
    height: 100vh;
    &.modal-open{
        overflow-x: hidden;
        overflow-y: hidden;
    }
}
a{
    text-decoration: none;
}
.b-container{
    max-width: 1330px;
    padding: 0 15px;
    margin: 0 auto;
}
.btn{
    border: none;
    display: table;
    background: none;
    color: #000000;
    border-radius: 0;
    padding: 20px 25px;
    font-weight: $regular;
    font-family: 'Roboto';
    cursor: pointer;
    user-select: none;
    text-align: center;
    appearance: none;
    font-size: 13px;
    transition: 300ms;
}
.btn__arrow{
    &:after{
        content: '';
        background: url(../img/arrow-long.png) center center/contain no-repeat;
        width: 13px;
        height: 14px;
        display: inline-block;
        vertical-align: top;
        margin-left: 10px;
        transition: 0.4s ease-in;
    }
    &:hover{
        &:after{
            transform: translateX(50%);
        }
    }
}
.input, .textarea{
    border: none;
    background: none;
    color: #000000;
    font-size: 12px;
    font-weight: $regular;
    font-family: 'Roboto';
    width: 100%;
    &::placeholder{
        color: #000000;
    }
}
.input-text{
    position: relative;
    .ui-selectmenu-button.ui-button{
        height: 44px;
    }
    .input, 
    .ui-selectmenu-button.ui-button,
    .textarea{
        padding: 13px 27px;
        border: 1px solid #c0c0c0;
        height: 100%;
        background-color: #fff;
        border-radius: 0;
        width: 100%;
        &::placeholder{
            color: #7c7c7c;
        } 
        &.error{
            border: 1px solid #e02252;
        }
        &.valid{
            border: 1px solid #252525;
        }
        &.input_tel{
            &.valid{
                border: 1px solid #99ba00;
                position: relative;
            }
        }
    }
    .check__icon{
        display: block;
        width: 14px;
        height: 11px;
        position: absolute;
        top: 16px;
        right: 18px;
        background: url('../img/check-green.png') center center/contain no-repeat;
    }
    .ui-button .ui-icon{
        background: url('../img/select-arrow.png') center center/contain no-repeat;
        width: 9px;
        height: 6px;
        position: absolute;
        right: 13px;
        top: 50%;
        transform: translateY(-50%);
    }
    .ui-selectmenu-text{
        font-size: 12px;
        font-weight: $regular;
        font-family: 'Roboto';
        color: #7c7c7c;
    }
    .error{
        color: #e02252;
        font-size: 12px;
    }
}
.ui-selectmenu-menu{
    .ui-menu .ui-menu-item-wrapper{
        padding: 17px 27px;
        border-bottom: 1px solid #c0c0c0;
        height: 100%;
        border-radius: 0;
        color: #7c7c7c;
        font-size: 12px;
    }
    .ui-state-active{
        border: none;
        background: transparent;
    }
    .ui-state-disabled{
        display: none;
    }
}
.social__link{
    .icon{
        width: 13px;
        height: 14px;
        position: relative;
        display: inline-block;
        vertical-align: top;
        margin-right: 7px;
        &:before{
            content: '';
            position: absolute;
            left: 0;
            right: 0;
            top: 0;
            bottom: 0;
            transition: .3s;
        }
        &.fb__icon{
            &:before{
                background: url('../img/svg/facebook-logo.svg') center center/contain no-repeat;
            }
        }
        &.inst__icon{
            &:before{
                background: url('../img/svg/instagram.svg') center center/contain no-repeat;
            }
        }
        &.pen__icon{
            &:before{
                background: url('../img/svg/pen.svg') center center/contain no-repeat;
            }
        }
    }
}
.icon{
    position: relative;
    width: 15px;
    height: 16px;
    &:before{
        content: '';
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        transition: .3s;
    }
    &.email__icon{
        &:before{
            background: url('../img/svg/mail.svg') center center/contain no-repeat;
        }
    }
    &.phone__icon{
        &:before{
            background: url('../img/call.png') center center/contain no-repeat;
        }
    }
    &.address__icon{
        width: 11px;
        height: 15px;
        transition: .3s;
        &:before{
            background: url('../img/svg/placeholder.svg') center center/contain no-repeat;
        }
        &:hover{
            transform: scale(1.2);
        }
    }
    &.search__icon{
        transition: .3s;
        &:before{
            background: url('../img/svg/search.svg') center center/contain no-repeat;
        }
        &._gray{
            &:before{
                background: url('../img/svg/search-gray.svg') center center/contain no-repeat;
            }
        }
        &:hover{
            transform: scale(1.1);
        }
    }
    &.basket__icon{
        &:before{
            background: url('../img/svg/shopping-bag.svg') center center/contain no-repeat;
        }
    }
    &.arrow__icon{
        &:before{
            background: url('../img/svg/arrow-simple.svg') center center/contain no-repeat;
        }
    }
    &.d-arrow__icon{
        width: 11px !important;
        &:before{
            background: url('../img/svg/sort.svg') center center/contain no-repeat;
        }
    }
}
.page__title{
    font-size: 16px;
    font-weight: $regular;
    text-transform: uppercase;
    display: block;
    text-align: center;
    letter-spacing: 3px;
}

.close__btn{
    width: 13px;
    height: 13px;
    background: url('../img/svg/x.svg') center center/contain no-repeat;
    cursor: pointer;
    &._gray{
        background: url('../img/svg/x-gray.svg') center center/contain no-repeat;
    }
    &._mobile{
        display: none;
    }
}
.hint__icon{
    width: 20px;
    height: 20px;
    background: url('../img/hint.png') center center/contain no-repeat;
    cursor: pointer;
}

.main__title{
    font-size: 36px;
    font-family: $playFont;
    font-weight: $regular;
}
.down__toggle{
    position: relative;
    padding-right: 17px;
    cursor: pointer;
    &:before{
        content: '';
        position: absolute;
        right: 0;
        top: 3px;
        background: url('../img/svg/arrow-simple.svg') center center/contain no-repeat;
        width: 12px;
        height: 8px;
        transition: 300ms;
    }
    &.open{
        &:before{
            transform: rotate(180deg);
        }
    }
}
.btn__orange{
    color: #e3683f;
}
.pagination{
    display: flex;
    justify-content: space-between;
    font-size: 14px;
    a{
        color: #7e7e7e;
        transition: 300ms;
        &.nonactive{
            opacity: 0.6;
            pointer-events: none;
        }
        .icon{
            display: inline-block;
            vertical-align: middle;
            &:before{
                transform: rotate(90deg);
                transition: 300ms;
            }
            &.arrow__icon{
                &:before{
                    background: url('../img/svg/arrow-simple-gray.svg') center center/contain no-repeat;
                }
            }
        }
        &.next{
            .icon{
                margin-left: 20px;
                &:before{
                    transform: rotate(270deg);
                }
            }
        }
        &.prev{
            .icon{
                margin-right: 20px;
            }
        }
        &:hover{
            color: #000000;
            .icon{
                &:before{
                    background: url('../img/svg/arrow-simple.svg') center center/contain no-repeat;
                }
            }
        }
    }
    ul{
        @include ul-default;
        display: flex;
        li{
            margin: 0 15px;
            a{
                color: #7e7e7e;
                display: block;
                &:hover{
                    color: #000000;
                }
            }
            &.active{
                a{
                    color: #000000;
                }
            }
        }
    }
}
.tab-item{
    display: none;
    animation: fadein 2s;
    &.active{
        display: block;
    }
}
@keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}
.btn__fill__black{
    background-color: #252525;
    border: 1px solid #252525;
    color: #fff;
    &:hover{
        background-color: transparent; 
        color: #252525;
    }
}
.btn__border__black{
    border: 1px solid #252525;
    color: #000000;
    &:hover{
        background-color: #000000;
        color: #fff;
    }
}
.btn__fill__gray{
    background-color: #ccc9c2;
    color: #fff;
    &:hover{
        background-color: #252525;
    }
}
.sticker{
    width: 75px;
    height: 27px;
    background-color: #fff;
    color: #000000;
    display: flex;
    align-items: center;
    justify-content: center;
}
.num-input{
    border: none;
    background: none;
    max-width: 60px;
    text-align: center;
}
.p-number{
    span{
        display: inline-block;
        width: 20px;
        height: 20px;
        border-radius: 100%;
        border: 1px solid #2c2c2c;
        text-align: center;
        cursor: pointer;
        font-size: 15px;
        transition: 300ms;
        &:hover{
            background-color: #c0c0c0;
        }
    }
    .minus{
        &.disable{
            border: 1px solid #bbbbbb;
            color: #bbbbbb;
        }
    }
}